Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZArticleGenerator Class Reference

## Public Member Functions
| __construct ( $generatorType="")
& | generateXML (&$contents)
| pageCount ()
& | decodeXML (&$contents)

## Public Attributes
| $GeneratorClass
| $GeneratorFile
| $PageCount

## Detailed Description

! eZArticle eZArticleGenerator handles article XML generation.

This class handles generation of XML contents for the articles. It will read from the .ini file and find the default generator to use.

Definition at line 39 of file ezarticlegenerator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZArticleGenerator::__construct | ( |  | $generatorType = `""` | ) |

Definition at line 41 of file ezarticlegenerator.php.

References $ini.

## Member Function Documentation

## ◆ decodeXML()

& eZArticleGenerator::decodeXML | ( | & | $contents | ) |

This function will return an array containing the original state of the article so it can be used in a edit form.

Definition at line 120 of file ezarticlegenerator.php.

References $contents.

## ◆ generateXML()

& eZArticleGenerator::generateXML | ( | & | $contents | ) |

This function will parse the contents array and return valid XML data for insertion in the database.

Definition at line 94 of file ezarticlegenerator.php.

References $contents, and $ret.

## ◆ pageCount()

eZArticleGenerator::pageCount | ( |  | ) |

This function will return the number of pages of the last parsed article.

Definition at line 110 of file ezarticlegenerator.php.

References $PageCount.

## Member Data Documentation

## ◆ $GeneratorClass

eZArticleGenerator::$GeneratorClass

Definition at line 176 of file ezarticlegenerator.php.

## ◆ $GeneratorFile

eZArticleGenerator::$GeneratorFile

Definition at line 177 of file ezarticlegenerator.php.

## ◆ $PageCount

eZArticleGenerator::$PageCount

Definition at line 179 of file ezarticlegenerator.php.

Referenced by pageCount().

The documentation for this class was generated from the following file:

- ezarticlegenerator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.